Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Retrieves the diagnostic zip file

Request

The most recent 2,000 (maximum) Instinct V trace records are returned.

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/diagnostics' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Exported diagnostic file

Bodyapplication/json
string(binary)
Response
application/json
"string"

Retrieves the diagnostic zip file

Request

Security
Bearer
Path
protocolIdinteger(int32)required

the protocol id to retrieve

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/diagnostics/protocols/{protocolId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Exported diagnostic file

Bodyapplication/json
string(binary)
Response
application/json
"string"

Starts the demo protocol

Request

Security
Bearer
Bodyapplication/json
protocolNamestring or null

The protocol name

systemNamestring or null

The system name

simulateboolean

Turn on or off simulation

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/diagnostics/protocol/demo' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "protocolName": "DemoProtocol",
    "systemName": "HHS_System",
    "simulate": true
  }'

Responses

Started demo protocol

Response
No content

Starts the transport test protocol

Request

Security
Bearer
Bodyapplication/json
plateLabwareIdinteger(int32)

The plate labware id to transport

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/diagnostics/instrument/transport' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "plateLabwareId": 1
  }'

Responses

Started transport test

Response
No content

Starts the HHS test protocol

Request

Security
Bearer
Bodyapplication/json
heatboolean

Enable or disable heat on the HHS

shakeboolean

Enable or disable shaking on the HHS

heatValueinteger(int32)

The heat value

shakeValueinteger(int32)

The shake value

durationinteger(int32)

The duration of the heat/shake diagnostic test

plateLabwareIdinteger(int32)

The plate labware id to transport to the HHS

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/diagnostics/instrument/hhs' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "heat": true,
    "shake": true,
    "heatValue": 75,
    "shakeValue": 200,
    "duration": 1,
    "plateLabwareId": 1
  }'

Responses

Started HHS test

Response
No content

Starts the tip pickup test protocol

Request

Security
Bearer
Bodyapplication/json
channelSelectionstring or null

The channels used to perform the pressure diagnostic. Possible values are OneChannel, TwoChannel, EightChannel, or Unknown

tipLabwareIdinteger(int32)

The labware id of the tips to use

deckPositioninteger(int32)

The position id where the tip rack is located

ejectToWasteboolean

Option to eject tips to waste or return them back to the tip rack

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/diagnostics/instrument/tip-pickup' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "channelSelection": "OneChannel",
    "tipLabwareId": 1,
    "deckPosition": 2,
    "ejectToWaste": true
  }'

Responses

Started tip pickup test

Response
No content

Starts drip diagnostics protocol

Request

Security
Bearer
Bodyapplication/json
channelSelectionstring or null

The channels used to perform the drip diagnostic. Possible values are OneChannel, TwoChannel, EightChannel, or Unknown

tipLabwareIdinteger(int32)

The tip labware id

troughLabwareIdinteger(int32)

The trough labware id

tipPositioninteger(int32)

The position id where the tip rack is located

troughPositioninteger(int32)

The position id where the trough is located

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/diagnostics/instrument/drip' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "channelSelection": "OneChannel",
    "tipLabwareId": 1,
    "troughLabwareId": 2,
    "tipPosition": 9,
    "troughPosition": 3
  }'

Responses

Started drip test

Response
No content

Starts the pressure test protocol

Request

Security
Bearer
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/diagnostics/instrument/pressure' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Started pressure test

Response
No content

Retrieves a camera snapshot

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/diagnostics/camera' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Retrieved camera snapshot file

Bodyapplication/json
string(binary)
Response
application/json
"string"

Retrieves a network diagnostic file

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/diagnostics/network' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Retrieved network diagnostic file

Bodyapplication/json
string(binary)
Response
application/json
"string"

Starts the motor cycle protocol

Request

Security
Bearer
Bodyapplication/json
displayNamestring or null

The display name

motorinteger(int32)

The id of the motor to test

channelinteger(int32)

The id of the channel to test

mphOnlyboolean

Whether or not to use the MPH only

runtimeInSecondsinteger(int32)

The amount of time to run in seconds

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/diagnostics/instrument/motor-diagnostics' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "displayName": "Y-Axis Rear, Rear Channel",
    "motor": 1,
    "channel": 2,
    "mphOnly": true,
    "runtimeInSeconds": 60
  }'

Responses

Started motor cycle diagnostic

Response
No content

Cancel the motor cycle protocol

Request

Security
Bearer
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/diagnostics/instrument/cancel-motor-diagnostics' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Canceled motor cycle diagnostic

Response
No content

Sends the response to a labware selection view

Request

Security
Bearer
Body
viewIdstring or null

The id of the view to close

viewResultstring or null

The result for the view

viewInputstring or null

The input of the view

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/diagnostics/close-view' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "viewId": "5854c6bfedba41cba94560861b0075d8",
    "viewResult": "Ok",
    "viewInput": "ViewInput1;ViewInput2"
  }'

Responses

Sent labware selection response

Response
No content

Submits a client log entry

Request

Security
Bearer
Bodyapplication/json
logEntrystring or null

The log message

logTypestring or null

The type of log message

logTimestring or null

The the time the message was logged

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/diagnostics/submit-client-log-entry' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "logEntry": "Unable to complete action.",
    "logType": "ERROR",
    "logTime": "Tue Sep 21 2021 09:52:53 GMT-0700 (Pacific Daylight Time)"
  }'

Responses

Submited a client log entry

Response
No content

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations